POST
/api/v1/reserve_ips/floating-ip/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/floating-ip/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "ip_address": "164.52.220.9", "node_ids": [ 244981 ]}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/floating-ip/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "ip_address": "164.52.220.9", "node_ids": [ 244981, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/floating-ip/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "ip_address": "164.52.220.9", "node_ids": [ 244981 ] }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
ip_address
required
string
Example
164.52.220.9node_ids
required
Array<integer>
Example
[ 244981]Responses
Section titled “Responses”Reserved IP successfully converted to Floating IP
Media typeapplication/json
object
code
integer
data
object
floating_ip_address
string format: ipv4
errors
object
message
string
Example
{ "code": 200, "data": { "floating_ip_address": "163.52.193.52" }, "errors": {}, "message": "Floating IP conversion completed successfully."}